Extending Qt Creator Manual | BuildTargetInfoList

Extending Qt Creator Manual 4.5.2

# BuildTargetInfoList Class

(ProjectExplorer::BuildTargetInfoList)

- List of all members, including inherited members

## Public Functions

bool | hasTarget(const QString &targetName)
Utils::FileName | targetFilePath(const QString &targetName)
Utils::FileName | targetForProject(const QString &projectFilePath) const
Utils::FileName | targetForProject(const Utils::FileName &projectFilePath) const

## Member Function Documentation

### bool BuildTargetInfoList::hasTarget(const QString &targetName)

### Utils::FileName BuildTargetInfoList::targetFilePath(const QString &targetName)

### Utils::FileName BuildTargetInfoList::targetForProject(const QString &projectFilePath) const

### Utils::FileName BuildTargetInfoList::targetForProject(const Utils::FileName &projectFilePath) const